# Graphic3d_TypeOfPrimitiveArray.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | Graphic3d_TypeOfPrimitiveArray { Graphic3d_TOPA_UNDEFINED, Graphic3d_TOPA_POINTS, Graphic3d_TOPA_POLYLINES, Graphic3d_TOPA_SEGMENTS, Graphic3d_TOPA_POLYGONS, Graphic3d_TOPA_TRIANGLES, Graphic3d_TOPA_QUADRANGLES, Graphic3d_TOPA_TRIANGLESTRIPS, Graphic3d_TOPA_QUADRANGLESTRIPS, Graphic3d_TOPA_TRIANGLEFANS }
| The type of primitive in a group in a structure. . More...

## Enumeration Type Documentation

enum Graphic3d_TypeOfPrimitiveArray

Enumeration values:

  Graphic3d_TOPA_UNDEFINED |
  Graphic3d_TOPA_POINTS |
  Graphic3d_TOPA_POLYLINES |
  Graphic3d_TOPA_SEGMENTS |
  Graphic3d_TOPA_POLYGONS |
  Graphic3d_TOPA_TRIANGLES |
  Graphic3d_TOPA_QUADRANGLES |
  Graphic3d_TOPA_TRIANGLESTRIPS |
  Graphic3d_TOPA_QUADRANGLESTRIPS |
  Graphic3d_TOPA_TRIANGLEFANS |